Bug 41342 - gnatsd reveals passwords to syslog
Summary: gnatsd reveals passwords to syslog
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-05 16:00 UTC by Igor Kucherenko
Modified: 2003-02-04 16:41 UTC (History)
0 users

See Also:


Attachments
file.diff (827 bytes, patch)
2002-08-05 16:00 UTC, Igor Kucherenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Kucherenko 2002-08-05 16:00:08 UTC
Gnatsd from ports/databases/gnats, when user authentication has failed gnatsd
write "user/password" in cleartext form to syslog. This is unsecure behaviour.
Comment 1 Tetsurou Okazaki freebsd_committer 2002-08-06 03:50:44 UTC
Responsible Changed
From-To: freebsd-ports->des

over to the maintainer
Comment 2 Dag-Erling Smørgrav freebsd_committer 2003-02-04 16:41:00 UTC
State Changed
From-To: open->closed

Fixed, thanks.